BaseItem
Date: 2013-06-18

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.session.client
Class BaseItem

    java.lang.Object
      org.gcube.portlets.session.client.BaseItem

Direct Known Subclasses:
  DraggableImage, ResultRecord

    public class BaseItem

extends java.lang.Object

The `BaseItem` is the basic item tha can be put inside the basket each item that can be placed in the basket has to extends this class.

Version:
  march 2007 (1.0)
Author:
  massimiliano.assante@isti.cnr.it

Field Summary
`protected java.lang.String` | `content`
`protected java.lang.String` | `fileName`
`protected int` | `id` the identifier for the object d
`protected java.lang.String` | `label` the eventual label to display in the basket
`protected java.lang.String` | `metadata`
`protected java.lang.String` | `mimeType`
`protected java.lang.String` | `type` to know which kind of object is

Constructor Summary
`BaseItem()` constructs an empty BaseItem
`BaseItem(int id, java.lang.String type, java.lang.String mimeType, java.lang.String label, java.lang.String metadata, java.lang.String content)` constructs the base item

Method Summary
`java.lang.String` | `getContent()`
`java.lang.String` | `getFileName()`
`int` | `getId()`
`java.lang.String` | `getLabel()`
`java.lang.String` | `getMetadata()`
`java.lang.String` | `getMimeType()`
`java.lang.String` | `getType()`
`void` | `setContent(java.lang.String content)`
`void` | `setFileName(java.lang.String fileName)`
`void` | `setId(int id)`
`void` | `setLabel(java.lang.String label)`
`void` | `setMetadata(java.lang.String metadata)`
`void` | `setMimeType(java.lang.String mimeType)`
`void` | `setType(java.lang.String type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### id

    protected int id

  the identifier for the object d

### type

    protected java.lang.String type

  to know which kind of object is

### mimeType

    protected java.lang.String mimeType

### label

    protected java.lang.String label

  the eventual label to display in the basket

### metadata

    protected java.lang.String metadata

### content

    protected java.lang.String content

### fileName

    protected java.lang.String fileName

Constructor Detail

### BaseItem

    public BaseItem()

  constructs an empty BaseItem

### BaseItem

    public BaseItem(int id,
                    java.lang.String type,
                    java.lang.String mimeType,
                    java.lang.String label,
                    java.lang.String metadata,
                    java.lang.String content)

  constructs the base item

  Parameters:
    `id` - the identifier
    `mimeType` - the mimeType
    `type` - the type of the file
    `label` - the label to display when the widget is inside the basket
    `metadata` - m
    `content` - c

Method Detail

### getMimeType

    public java.lang.String getMimeType()

  Returns:
    mimeType

### setMimeType

    public void setMimeType(java.lang.String mimeType)

  Parameters:
    `mimeType` - m

### getLabel

    public java.lang.String getLabel()

  Returns:
    label

### setLabel

    public void setLabel(java.lang.String label)

  Parameters:
    `label` - l

### getContent

    public java.lang.String getContent()

  Returns:
    content

### setContent

    public void setContent(java.lang.String content)

  Parameters:
    `content` - c

### getId

    public int getId()

  Returns:
    id

### setId

    public void setId(int id)

  Parameters:
    `id` - the ID

### getMetadata

    public java.lang.String getMetadata()

  Returns:
    metadata

### setMetadata

    public void setMetadata(java.lang.String metadata)

  Parameters:
    `metadata` - m

### getType

    public java.lang.String getType()

  Returns:
    type

### setType

    public void setType(java.lang.String type)

  Parameters:
    `type` - t

### getFileName

    public java.lang.String getFileName()

  Returns:
    fname

### setFileName

    public void setFileName(java.lang.String fileName)

  Parameters:
    `fileName` - f

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD